# $Id: hdhomerun.spec 895 2008-06-15 04:32:29Z rpmbuild $
# repo: RE-test
# restrictions: el4

Summary: HDHomeRun configuration utility
Name: hdhomerun
Version: 20080430
Release: %RErelease 1
Epoch: 0
License: LGPLv3
Group: Applications/System
URL: http://www.silicondust.com/
Source0: http://download.silicondust.com/hdhomerun/libhdhomerun_%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-macros-razorsedge

%description
libhdhomerun contains the configuration and firmware upgrade
utility for Silicon Dust's HDHomeRun.

%prep
%setup -q -n libhdhomerun
# Fix up linefeeds, drop execute bit and don't strip binaries
%{__sed} -i 's/\r//' *
%{__chmod} -x *
%{__sed} -i -e '/strip/d' -e 's/C\(PP\)\?FLAGS .=/C\1FLAGS ?=/' Makefile

# Convert files to utf8
for f in *; do
  /usr/bin/iconv -f iso-8859-1 -t utf-8 --output $f.new $f && mv $f.new $f
done

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__install} -m0755 hdhomerun_config $RPM_BUILD_ROOT%{_bindir}/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc lgpl.txt README
%{_bindir}/hdhomerun_config

%changelog
* Sat Jun 14 2008 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 20080430-1
- Updated to version 20080430.

* Thu Feb 14 2008 Jarod Wilson <jwilson@redhat.com> 0.0-0.6.20080212
- Update to 20080212 release

* Fri Oct 19 2007 Jarod Wilson <jwilson@redhat.com> - 0.0-0.5.20071015
- Update to 20071015 release
- Update license field

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.0-0.4.20070716
- Rebuild for selinux ppc32 issue.

* Tue Jul 17 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.3.20070716
- Update to 20070716 release

* Thu Jul 12 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.2.20070616
- Use sed instead of perl, drop perl BR: (jeff@ocjtech.us)
- Convert source files to utf8 (jeff@ocjtech.us)

* Mon Jun 18 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.1.20070616
- Update to 20070616 release
- Don't install any of the header files and drop lib from the package
  name, since this really isn't a library

* Fri May 18 2007 Jarod Wilson <jwilson@redhat.com> 0.0-0.1.20070512
- Initial packaging for Fedora
